<?php

// configuration strings
$string['config_title'] 					= 'MOMO';
$string['config_help'] 						= 'Configure mobile access.';
$string['config_enabled'] 					= 'Enable MOMO';
$string['config_enabled_help'] 				= 'Enable MOMO allowing users to access this Moodle Site via MOMO client.';
$string['config_debug'] 					= 'Debug mode';
$string['config_debug_help'] 				= 'Enable debug mode, resulting in additional log entries.';
$string['config_community_enabled'] 		= 'Enable Mobile Community';
$string['config_community_enabled_help'] 	= 'Enable Mobile Community support. When enabled, all MOMO users are implicitly enrolled to the configured course and can access its activities. ';
$string['config_community_course'] 			= 'Choose Mobile Community course';
$string['config_community_course_help'] 	= 'Define which course should be used as a Mobile Community.';
$string['config_public_gw_enabled']			= 'Public gateway server';
$string['config_public_gw_enabled_help']	= 'Enable this setting if you do not host a gateway server on your own and want to use the public server instead.';
$string['config_public_msg_enabled']		= 'Public messaging server';
$string['config_public_msg_enabled_help']	= 'Enable this setting if you do not host a messaging server on your own and want to use the public server instead.';
$string['config_msg_host']					= 'IP/host of messaging server';
$string['config_msg_host_help']				= 'Define the IP address or hostname of the messaging server.';
$string['config_gw_host']					= 'IP/host of gateway server';
$string['config_gw_host_help']				= 'Define the IP address or hostname of the gateway server.';
$string['config_msg_port']					= 'Port of messaging server';
$string['config_msg_port_help']				= 'Define the TCP port of the messaging server.';
$string['config_gw_port']					= 'Port of gateway server';
$string['config_gw_port_help']				= 'Define the TCP port of the gateway server.';
$string['config_msg_remote_port']			= 'Messaging Remote Interface Port';
$string['config_msg_remote_port_help']		= 'Define the TCP port of the remote interface of the messaging server.';


////////////////

//navigation - common navigation items used for links and buttons
$string['nav_home'] 						= 'Home';
$string['nav_back'] 						= 'Back';
$string['nav_ok'] 							= 'OK';
$string['nav_cancel'] 						= 'Cancel';
$string['nav_send'] 						= 'Send';
$string['nav_search'] 						= 'Search';
$string['nav_submit'] 						= 'Submit';
$string['nav_reply']						= 'Reply';
$string['nav_paging'] 						= '...more...';
$string['nav_paging_continued'] 			= '...continued...';


// headers (i.e. page headers, titles) should be rather short
$string['hd_home'] = 'Home';
$string['hd_error'] = 'Error';
$string['hd_success'] = 'Success';
$string['hd_messaging'] = 'Messages';
$string['hd_inbox'] = 'Inbox';
$string['hd_msg_history'] = 'History';
$string['hd_msg_archive'] = 'Archive';
$string['hd_msg_new'] = 'New Message';
$string['hd_msg_to'] = 'Message to';
$string['hd_msg_from'] = 'Message from';
$string['hd_msg_sent'] = 'Message sent';
$string['hd_msg_error'] = 'Send failed';
$string['hd_msg_choose_recipient'] = 'Choose recipient';
$string['hd_contact'] = 'Profile $a->username';
$string['hd_contacts'] = 'Contacts';
$string['hd_contactlist'] = 'Contactlist';
$string['hd_blocklist'] = 'Blocklist';
$string['hd_search_user'] = 'Search user';
$string['hd_my_courses'] = 'My Courses';
$string['hd_course_overview'] = 'Course Overview';
$string['hd_course'] = 'Course';
$string['hd_community'] = 'Community';
$string['hd_mobile_community'] = 'Mobile Community';
$string['hd_profile'] = 'My Profile';
$string['hd_blog'] = 'Blog';
$string['hd_blog_entry'] = 'Entry';
$string['hd_course_details'] = 'Details';
$string['hd_course_activities'] = 'Activities';
$string['hd_course_sections'] = 'Sections';
$string['hd_course_current_week'] = 'Current Week';
$string['hd_course_current_topic'] = 'Current Topic';
$string['hd_forum'] = 'Forum';
$string['hd_forum_discussion'] = 'Discussion';
$string['hd_forum_post'] = 'Post';
$string['hd_mlo'] = 'MLO';
$string['hd_resource'] = 'Resource';
$string['hd_label'] = 'Label';
$string['hd_live'] = 'Live! Session';
$string['hd_semacode'] = 'Semacode Link';

// labels (i.e. inline text, might also be abbreviated)
$string['lbl_general_details'] = 'Details';
$string['lbl_general_by'] = 'By';
$string['lbl_mm_snapshot'] = 'Take snapshot';
$string['lbl_mm_comment'] = 'Record comment';
$string['lbl_messages'] = 'Messages';
$string['lbl_message'] = 'Message';
$string['lbl_msg_inbox'] = 'Inbox';
$string['lbl_msg_archive'] = 'Archive';
$string['lbl_msg_new'] = 'New Message';
$string['lbl_contacts'] = 'Contacts';
$string['lbl_contacts'] = 'Contacts';
$string['lbl_msg_sender'] = 'Sender';
$string['lbl_msg_recipient'] = 'Recipient';
$string['lbl_msg_choose_recipient'] = 'Choose recipient';
$string['lbl_msg_choose_recipient'] = 'Choose recipient';
$string['lbl_msg_date'] = 'Received';
$string['lbl_msg_choose_contact'] = 'Choose from contactlist';
$string['lbl_msg_choose_search'] = 'Search recipient';
$string['lbl_msg_reply'] = 'Reply';
$string['lbl_msg_archive_search'] = 'Search by term';
$string['lbl_msg_archive_search_scope'] = 'Search in';
$string['lbl_msg_archive_search_in'] = 'Incoming messages';
$string['lbl_msg_archive_search_out'] = 'Outgoing messages';
$string['lbl_msg_archive_sender'] = 'Search by sender';

$string['lbl_profile_no_picture'] = 'No profile image.';
$string['lbl_profile_record_picture'] = 'Take a picture';
$string['lbl_profile_record_hint'] = 'You may take a picture of yourself to add to your profile by using the above control.';

$string['lbl_contact_no_picture'] = 'No Picture.';
$string['lbl_contact_details'] = 'Details';
$string['lbl_contact_contact'] = 'Get in touch';
$string['lbl_contact_add'] = 'Add contact';
$string['lbl_contact_remove'] = 'Remove contact';
$string['lbl_contact_block'] = 'Block user';
$string['lbl_contact_unblock'] = 'Unblock user';
$string['lbl_contact_message'] = 'Send message';
$string['lbl_contact_call_primary'] = 'Call';
$string['lbl_contact_call_secondary'] = 'Call (Secondary Phone#)';
$string['lbl_contact_mail'] = 'Send eMail';
$string['lbl_contact_url'] = 'Visit website';

$string['lbl_user'] = 'User';
$string['lbl_user_firstname'] = 'Firstname';
$string['lbl_user_lastname'] = 'Lastname';
$string['lbl_user_username'] = 'Username';
$string['lbl_user_city'] = 'City';
$string['lbl_user_country'] = 'Country';
$string['lbl_user_description'] = 'Description';
$string['lbl_user_www'] = 'Homepage';
$string['lbl_user_institution'] = 'Institution';
$string['lbl_user_department'] = 'Department';
$string['lbl_user_email'] = 'Email';

$string['lbl_course_shortname'] = 'Shortname';
$string['lbl_course_fullname'] = 'Fullname';
$string['lbl_course_category'] = 'Category';
$string['lbl_course_summary'] = 'Description';
$string['lbl_course_topic'] = 'Topic';
$string['lbl_course_topics'] = 'Topics';
$string['lbl_course_week'] = 'Week';
$string['lbl_course_weeks'] = 'Weeks';
$string['hd_course_sections'] = 'Sections';
$string['lbl_course_current_week'] = 'Current week';
$string['lbl_course_current_topic'] = 'Current topic';
$string['lbl_course_format'] = 'Course format';

$string['lbl_choice_choose'] = 'Choose one of the options below.';
$string['lbl_choice_result'] = 'Result';

$string['lbl_forum_discussion_new'] = 'New Discussion';
$string['lbl_forum_discussions'] = 'Discussions';
$string['lbl_forum_discussions_all'] = 'All Discussions';
$string['lbl_forum_discussion_initial'] = 'Initial message';
$string['lbl_forum_subject'] = 'Subject';
$string['lbl_forum_message'] = 'Message';
$string['lbl_forum_sender'] = 'Sender';
$string['lbl_forum_replies_latest'] = 'Latest Replies';
$string['lbl_forum_replies_all'] = 'All Replies';
$string['lbl_forum_replies'] = 'Replies';
$string['lbl_forum_no_replies'] = 'No Replies yet';
$string['lbl_forum_attachment'] = 'Attachment';
$string['lbl_forum_newest_discussions'] = 'Newest Discussions';
$string['lbl_forum_post_new'] = 'Reply';
$string['lbl_forum_intro'] = 'Intro';
$string['lbl_forum_name'] = 'Name';
$string['lbl_forum_attachement'] = 'Attachement';
$string['lbl_forum_attachement_choose'] = 'Choose file';
$string['lbl_forum_attachement_add'] = 'Add Attachement';
$string['lbl_forum_edit'] = 'Edit Post';
$string['lbl_forum_delete'] = 'Delete Post';

$string['lbl_blog_add'] = 'Add Post';
$string['lbl_blog_edit'] = 'Edit Post';
$string['lbl_blog_delete'] = 'Delete Post';
$string['lbl_blog_subject'] = 'Title';
$string['lbl_blog_message'] = 'Entry';
$string['lbl_blog_tags'] = 'Tag(s)';
$string['lbl_blog_no_tags'] = 'No tags.';
$string['lbl_blog_addtag'] = 'Add Tag(s)';
$string['lbl_blog_publishstate'] = 'Publish to';
$string['lbl_blog_state_draft'] = 'Draft (only you)';
$string['lbl_blog_state_site'] = 'Site';
$string['lbl_blog_state_public'] = 'Public (anybody)';
$string['lbl_blog_latest'] = 'Latest entries';
$string['lbl_blog_all'] = 'All entries';

$string['lbl_mlo_name'] = 'Name';
$string['lbl_mlo_description'] = 'Description';
$string['lbl_mlo_hint'] = 'You may download this object to your phone by clicking the button below.';
$string['lbl_mlo_download'] = 'Download';

$string['lbl_resource_name'] = 'Name';
$string['lbl_resource_summary'] = 'Description';
$string['lbl_resource_open'] = 'Open';
$string['lbl_resource_store'] = 'Store';

$string['lbl_resource_content'] = 'Content';









//messages (i.e. usually full sentences or longer text)
$string['msg_messaging_not_supported'] = 'Messaging is currently not allowed for this Moodle site. Please contact your Administrator.';
$string['msg_messaging_no_messages'] = 'Currently no messages.';
$string['msg_messaging_msg_sent'] = 'Message was successfully sent to \"$a\".';
$string['msg_messaging_msg_failed'] = 'Send failed.<br/>Please contact your Administrator if the problem persists.';
$string['msg_messaging_msg_blocked'] = 'Send failed.<br/>The Recipient blocked your message.';
$string['msg_messaging_msg_blocked_non_contact'] = 'Send failed.<br/>The Recipient blocks messages from users not on his contact list.';
$string['msg_messaging_history_empty'] = 'No messages.';

$string['msg_contact_added'] = 'User added to your contact list.';
$string['msg_contact_removed'] = 'User removed from contact list.';
$string['msg_contact_blocked'] = 'User blocked. You will not receive messages of this user any more.';
$string['msg_contact_unblocked'] = 'Block removed. User may now send you messages again.';


$string['msg_no_contacts'] = 'No contacts on list.';
$string['msg_no_courses'] = 'You are not enrolled in any course.';
$string['msg_no_blocked'] = 'No blocked users.';
$string['msg_search_no_results'] = 'No results.';
$string['msg_search_user_hint'] = 'You may search by firstname, lastname or username.';
$string['msg_search_msg_hint'] = 'Please enter one or more search terms.';
$string['msg_profile_pic_updated'] = 'Profile image updated.';


$string['msg_course_no_activities'] = 'Currently no mobile activities available.';
$string['msg_courses_hint'] = 'This is a list of all courses you are enrolled in.';




// semacode
$string['lbl_semacode_open'] 				= 'Open';
$string['msg_semacode_url'] 				= 'This link will forward you to the given URL.';
$string['msg_semacode_course'] 				= 'This link will forward you to the given course.';
$string['msg_semacode_activity'] 			= 'This link will forward you to the given activity.';
$string['msg_semacode_loc_activities'] 		= 'Your current location was sent to the server. There are locationbased activities available for this area.';
$string['msg_semacode_loc_noactivities'] 	= 'Your current location was sent to the server. Currently no activities for this area available.';


$string['msg_semacode_loc_not_supported'] 	= 'Processing of location information is currently not supported.';
$string['msg_semacode_loc_not_loggedin'] 	= 'Not logged in.';
$string['msg_semacode_unknown'] 			= 'Error. Unknown Semacode tag type found.';
$string['error_semacode_not_supported']		= 'Semacode support is currently not available for this Moodle instance.';
$string['error_semacode_outdated'] 			= 'Error. The information stored for this tag is incorrect or outdated.';

$string['msg_choice_no_answer'] = 'You have not answered yet.';
$string['msg_choice_last_answer'] = 'You have already answered. Above you see your last selection.';
$string['msg_choice_update_allowed'] = 'You may update your choice.';
$string['msg_choice_saved'] = 'Your choice was saved.';
$string['msg_choice_updated'] = 'Your choice was updated.';
$string['msg_choice_limit_exceeded'] = 'Answer limit exceeded.<br/>Try choosing another option.';
$string['msg_choice_results_not_public'] = 'The results of this choice are not public.';
$string['msg_choice_error'] = 'An error occured. Please try again.';
$string['msg_choice_no_selection'] = 'Nothing selected. Please try again.';

$string['msg_blog_entry_added'] = 'Your entry has been saved.';
$string['msg_blog_entry_updated'] = 'Your entry has been updated.';
$string['msg_blog_entry_deleted'] = 'The entry has been deleted.';
$string['msg_blog_entry_failed'] = 'Failed to save your entry.';
$string['msg_blog_edit_notallowed'] = 'You are not allowed to edit this entry.';

$string['msg_forum_no_discussions'] = 'Currently no discussions.';
$string['msg_forum_no_posts'] = 'Currently no postings.';
$string['msg_forum_post_added'] = 'Your post has successfully been added.';
$string['msg_forum_post_failed'] = 'Failed to add your posting.';
$string['msg_forum_discussion_added'] = 'Your discussion has successfully been added.';
$string['msg_forum_discussion_failed'] = 'Failed to add your discussion.';
$string['msg_forum_discussion_deleted'] = 'Discussion deleted.';
$string['msg_forum_post_deleted'] = 'Post deleted.';
$string['msg_forum_delete_failed'] = 'Failed to delete.';

$string['msg_resource_type_unsupported'] = 'This resource type is currently not supported by MOMO.';


$string['msg_community_not_supported'] = 'This Moodle site does currently not support a Mobile Community course.';
$string['msg_user_is_mobile'] = 'This user is connected via MOMO client.';


// error messages
$string['error_account'] 					 = 'Your Moodle account is not properly configured. Visit your Moodle site via' .
        ' a PC to check if everything is set up correctly. If the problem persists, contact your Administrator.';
$string['error_file_not_found'] 			 = 'The requested file could not be found on the server. Please try again or contact your Administrator' .
        ' if the problem persists.';
$string['error_login'] 						 = 'Your attempt to log in failed. Please check your settings and try again. If the problem persists, please contact your Administrator.';
$string['error_maintenance']				 = 'Your Moodle site is currently under maintenance. Please try again later.';
$string['error_parameter'] 					 = 'A parameter is missing. Please try again or contact your Adminstrator if the problem persists.';
$string['error_general']					 = 'An error occured while performing the requested action. Please try again.';
$string['error_momo_disabled'] 			 	 = 'Mobile access to your Moodle is currently not allowed. Please try again later.';
$string['error_security_problem'] 			 = 'A security problem has occured. Please make sure that you have the necessary rights for the requested action.';
$string['error_security_course_not_allowed'] = 'You are not allowed to access this course.';
$string['error_nonmobile'] 					 = 'The page you tried to access is intended for mobile usage via MOMO client. You are now redirected to Moodle.';
$string['error_gps_not_supported']			 = 'GPS support is currently not available for this Moodle instance.';


?>