<?php

$string['modulename'] = 'Semacode Tag';
$string['modulenameplural'] = 'Semacode Tags';
$string['url'] = 'URL';
$string['or'] = 'or';
$string['chooseactivity'] = 'Choose an activity';
$string['choosecourse'] = 'Choose a course';
$string['visibility'] = 'Should tag be visible to stationary students?';
$string['create'] = 'Create Tag';
$string['description'] = 'Description';
$string['longitude'] = 'Longitude';
$string['latitude'] = 'Latitude';

$string['desc_type_u'] = 'This tag is pointing to an external web address.';
$string['desc_type_l'] = 'This tag is representing a physical location (longitude and latitude).';
$string['desc_type_c'] = 'This tag is directly pointing to a specific course.';
$string['desc_type_a'] = 'This tag is directly pointing to a specific moodle activity.';

$string['desc_url'] = 'The above image is the semacode representation of the given URL. Download it, print it out, and distribute it.' .
        ' People may use a compatible semacode reader to decode it and visit the specified link. Have fun!';
$string['config_java_path'] = 'Path to Java runtime executable (e.g. /usr/bin/j2sdk1.5.0/bin/java or C:\\Programs\\Java\\jre1.5.0_08\\bin\\java).' .
        ' Please mind the PATH environment of the user scope the webserver is running in! Therefore in some cases also simply \"java\" might work.';
$string['config_file_type'] = 'Choose output file type of generated tag. Please mind that SVG format is currently not widely supported by browsers.';
$string['config_tag_width'] = 'Choose output file width in pixels (default is 500)';

$string['error_creation'] = 'Tag could not be created. Please check the module configuration to see if everything is' .
        'set up correctly.';

$string['error_not_found'] = 'The requested Semacode tag could not be found. Please try again.';

$string['error_outdated'] = 'Error. The information stored to this tag seems to be outdated.';

$string['error_gps_notsupported'] = 'Error. GPS support is currently not available.';
$string['error_gps_notloggedin'] = 'Error. Processing of location information via Semacode is only available to logged in users.';
$string['error_type_notsupported'] = 'Error. The found type of Semacode tag is currently not supported.';
$string['error_location_clientneeded'] = 'Error. The found type of Semacode contains location information. You need the MOMO client to make use of this tag.';

?>