<?PHP  /* /mod/semacode/view.php (c)2007, Andreas Forstinger, www.mobilemoodle.org */

/// This page prints a particular instance of semacode
/// (Replace semacode with the name of your module)

    require_once("../../config.php");
    require_once("lib.php");
    global $CFG;

    $id = optional_param('id', 0, PARAM_INT); // Course Module ID, or
    $t  = optional_param('t', 0, PARAM_INT);  // tag ID

    if ($id) {
        if (! $cm = get_record("course_modules", "id", $id)) {
            error("Course Module ID was incorrect");
        }

        if (! $course = get_record("course", "id", $cm->course)) {
            error("Course is misconfigured");
        }

        if (! $semacode = get_record("semacode", "id", $cm->instance)) {
            error("Course module is incorrect");
        }

    } else {
        if (! $semacode = get_record("semacode", "id", $t)) {
            error("Semacode not found.");
        }
        if (! $course = get_record("course", "id", $semacode->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("semacode", $semacode->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    }

    require_login($course->id);

    // add log entry
    add_to_log($course->id, 'semacode', 'view', "view.php?id=$cm->id", $semacode->id, $cm->id);


/// Print the page header

    if ($course->category) {
        $navigation = "<a href=\"../../course/view.php?id=$course->id\">$course->shortname</a> ->";
    }

    $strsemacodes = get_string("modulenameplural", "semacode");
    $strsemacode  = get_string("modulename", "semacode");

    print_header("$course->shortname: Tag", "$course->fullname",
                 "$navigation <a href=index.php?id=$course->id>$strsemacodes</a> -> $semacode->name",
                  "", "", true, update_module_button($cm->id, $course->id, $strsemacode),
                  navmenu($course, $cm));

/// Print the main part of the page


    // show url and tag
    $src = $CFG->wwwroot . '/mod/semacode/img.php?id='.$semacode->id;

    echo('<h2>' . $semacode->name . '</h2>');
    echo('<h2><a class="semacode_link" href="'.$semacode->url.'" target="_blank">' . $semacode->url . '</a></h2>');
    echo '<br/>';
    $output = "<img class=\"semacode_tag\" src=\"$src\"".
                   " alt=\"Semacode for $semacode->url \" />";
    echo($output);
    echo '<br/>';
    p($semacode->description);
    echo '<h3>';
    print_string('description','semacode');
    echo '</h3>';
    // show additional descriptive text, depending on type
    print_string("desc_type_$semacode->type",'semacode');
    echo '<br/>';
    print_string('desc_url','semacode');

/// Finish the page
    print_footer($course);

?>