<?php /* /momo/download.php, (c) 2008, Andreas Forstinger, www.mobilemoodle.org */

	// this script generates the appropriate download link and opens the download window

    require ('../config.php');
    require ('./lib/lib_download.php');
    require ('./lib/lib_settings.php');
    require ('./lib/lib_main.php');

	global $CFG,$USER;

	$filluserdata = optional_param('fill_userdata',null, PARAM_ALPHA);
	$password = optional_param('password',null, PARAM_ALPHANUM);

	// check if we should preconfigure user data
	if(!empty($filluserdata)){
		$username = (!empty($USER->username) ? $USER->username : null);
		$pass = (!empty($password)) ? momo_basic_encrypt($password) : null;
		$phone = (!empty($USER->phone1) ? $USER->phone1 : null);
		$url = generateMOMODownloadURL($CFG->momo_root, $username, null, $phone , $pass);
	
	}
	else{
		$url = generateMOMODownloadURL($CFG->momo_root);
	}

	// append language parameter
	$url .= '?lang=' .  substr(current_language(),0,2);;

// forward the user to the download page

	header('Location: ' . $url);
?>