<?php /* /mod/mlo/editor/editor_get.php (c)2007, Andreas Forstinger, www.mobilemoodle.org */
    // this script is invoked by the editor applet to retrieve a MLO

    // set flag indicating that we do not need a session (see lib/setup.php)
    $nomoodlecookie = true;

    require_once('../../../config.php');
    require_once('../lib.php');
    global $CFG;

    // get id of requested object
    $id = optional_param('contentid',null,PARAM_INTEGER);

    // security measures
    $auth = false;
        // generate fingerprint
        $localpass = md5($id . $CFG->mlo_pass);
        $remotepass = optional_param('pass','',PARAM_ALPHANUM);
        // compare fingerprints
        if($remotepass === $localpass){
            $auth = true;
        }

    // make sure mlo directory exists
    $directory = make_upload_directory($CFG->mlo_path);

    // start output buffer
    ob_start();

    // check if requested file exists
    $file = $directory . $id . '.zip';
    if(file_exists($file) && $auth){

        // open file handle
        $handle = fopen($file,'rb');

        // set necessary headers
        header('Content-Type: application/zip',true);
        header('Content-Disposition: attachment; filename='.$id.'.zip');
        header('Content-Length: ' . filesize($file),true);
        header('sec: audio,audiolocal,export,import');

        // pass through file
        fpassthru($handle);

        // close file handle
        fclose($handle);
    }
    else{
        // send header with content length = 0
        header('Content-Type: application/zip',true );
        header('Content-Disposition: attachment; filename=dummy');
        header('Content-Length: 0',true);
        header('sec: audio,audiolocal,export,import');
    }
        // flush buffer
        ob_end_flush();
?>